<?xml version="1.0" ?>
<install version="1.5" type="plugin" plugin="mediamanager">
	<name>Media Manager</name>
	<version>1.5.6</version>
	<creationDate>20 May 2010</creationDate>
	<author>Ryan Demmer</author>
	<authorEmail>admin@joomlacontenteditor.net</authorEmail>
	<authorUrl>http://www.joomlacontenteditor.net</authorUrl>
	<copyright>Ryan Demmer</copyright>
	<license>GNU/GPL</license>
	<description><![CDATA[ 
	<p>Media Manager 1.5.6</p>
	p>Changelog (from 1.5.5)</p>
	<ul>
		<li>Fixed: preg_match error when selecting file</li>
	</ul>
	<p>Changelog (from 1.5.4)</p>
	<ul>
		<li>Fixed: Fullscreen issues with FLV player.</li>
		<li>Fixed: Removed automatic base url value for Windows Media and Flash files</li>
		<li>Fixed: eregi errors in php 5</li>
		<li>Fixed: Youtube etc dimensions changed after editing</li>
	</ul>
	<p>Changelog (from 1.5.3)</p>
	<ul>
		<li>Added: Alternate library for reading FLV data. Should be faster.</li>
		<li>Added: Popup support for JCE Utilities 2.2.0</li>
		<li>Changed: Minor URL changes</li>
	</ul>
	<p>Changelog (from 1.5.2)</p>
	<ul>
		<li>Fixed: FLV Player Fullscreen button disabled in Flash 10</li>
		<li>Fixed: Editing of existing popups produces errors</li>
		<li>Fixed: Selecting a popup link does not highlight plugin icon</li>
	</ul>
	<p>Changelog (from 1.5.1)</p>
	<ul>
		<li>Fixed: Quicktime and WindowsMedia autostart issues</li>
		<li>Fixed: Non-responsive Controller dialog when creating a media popup.</li>
	</ul>
	<p>Changelog (from 1.5.0 Stable)</p>
	<ul>
		<li>Fixed: FLV Player Fullscreen Sizing</li>
		<li>Fixed: FLV Player Buffering indicator</li>
		<li>Fixed: FLV Options not being removed when non-flv file selected.</li>
		<li>Fixed: Script Mode issues in IE due to issue with classname assignement</li>
		<li>Changed: Popup type attribute now use full media type description</li>
	</ul>
	<p>Changelog (from 1.5.0 beta 3)</p>
	<p><ul>
		<li>Release Candidate</li>
	</ul></p>
	<p>Changelog (from 1.5.0 beta 2)</p>
	<p><ul>
		<li>Added: Support for JCE Groups</li>
	</ul></p>
	<p>Changelog (from 1.5.0 beta)</p>
	<p><ul>
		<li>Fixed: Issues with file extenions/plugin parameters</li>
	</ul></p>
	]]></description>
	<icon>mediamanager</icon>
	<layout>mediamanager</layout>
	<elements></elements>
	<files>
		<file>classes/flvinfo/amfo.php</file>
		<file>classes/flvinfo/flvinfo.php</file>
		<file>classes/flvinfo/index.html</file>
		<file>classes/getid3/getid3.lib.php</file>
		<file>classes/getid3/getid3.php</file>
		<file>classes/getid3/index.html</file>
		<file>classes/getid3/license.txt</file>
		<file>classes/getid3/module.audio-video.asf.php</file>
		<file>classes/getid3/module.audio-video.flv.php</file>
		<file>classes/getid3/module.audio-video.mpeg.php</file>
		<file>classes/getid3/module.audio-video.quicktime.php</file>
		<file>classes/getid3/module.audio-video.real.php</file>
		<file>classes/getid3/module.audio-video.riff.php</file>
		<file>classes/getid3/module.audio-video.swf.php</file>
		<file>classes/getid3/module.audio.mp3.php</file>
		<file>classes/getid3/module.tag.apetag.php</file>
		<file>classes/getid3/module.tag.id3v1.php</file>
		<file>classes/getid3/module.tag.id3v2.php</file>
		<file>classes/getid3/module.tag.lyrics3.php</file>
		<file>classes/helperapps/index.html</file>
		<file>classes/index.html</file>
		<file>classes/mediamanager.php</file>
		<file>css/index.html</file>
		<file>css/mediamanager.css</file>
		<file>editor_plugin.js</file>
		<file>img/index.html</file>
		<file>img/mediamanager.gif</file>
		<file>img/preview.jpg</file>
		<file>img/sample.jpg</file>
		<file>img/trans.gif</file>
		<file>index.html</file>
		<file>js/index.html</file>
		<file>js/mediamanager.js</file>
		<file>langs/en_dlg.js</file>
		<file>langs/index.html</file>
		<file>mediamanager.php</file>
		<file>swf/FlvPlayer.as</file>
		<file>swf/flvplayer.fla</file>
		<file>swf/flvplayer.swf</file>
		<file>swf/FlvPreview.as</file>
		<file>swf/flvpreview.fla</file>
		<file>swf/flvpreview.swf</file>
		<file>swf/index.html</file>
	</files>
	<params group="standard">
        <param name="mediamanager_dir" type="text" default="" size="50" label="MANAGER PARAM DIRECTORY" description="MANAGER PARAM DIRECTORY DESC"/>
		<param name="mediamanager_max_size" type="text" default="" label="MANAGER PARAM UPLOAD SIZE" description="MANAGER PARAM UPLOAD SIZE DESC"/>
		<param name="mediamanager_extensions" type="textarea" rows="10" cols="50" default="windowsmedia=avi,wmv,wm,asf,asx,wmx,wvx;quicktime=mov,qt,mpg,mp3,mp4,mpeg;flash=swf,flv,xml;shockwave=dcr;real=rm,ra,ram;divx=divx" label="PARAM EXTENSIONS" description="PARAM EXTENSIONS DESC"/>
    	<param name="mediamanager_flvplayer" type="text" size="100" default="flvplayer.swf" label="PARAM FLVPLAYER" description="PARAM FLVPLAYER DESC"/>
        <param name="mediamanager_flvplayer_path" type="text" size="100" default="plugins/editors/jce/tiny_mce/plugins/mediamanager/swf" label="PARAM FLVPLAYER PATH" description="PARAM FLVPLAYER PATH DESC"/>
	</params>
		<params group="defaults">
		<param name="mediamanager_margin_top" type="list" default="default" label="MARGIN TOP" description="MARGIN DESC">
			<option value="default">NOT SET</option>
			<option value="0">0</option>
			<option value="1">1</option>
			<option value="2">2</option>
			<option value="3">3</option>
			<option value="4">4</option>
			<option value="5">5</option>
			<option value="6">6</option>
			<option value="7">7</option>
			<option value="8">8</option>
			<option value="9">9</option>
			<option value="10">10</option>
		</param>
		<param name="mediamanager_margin_right" type="list" default="default" label="MARGIN RIGHT" description="MARGIN DESC">
			<option value="default">NOT SET</option>
			<option value="0">0</option>
			<option value="1">1</option>
			<option value="2">2</option>
			<option value="3">3</option>
			<option value="4">4</option>
			<option value="5">5</option>
			<option value="6">6</option>
			<option value="7">7</option>
			<option value="8">8</option>
			<option value="9">9</option>
			<option value="10">10</option>
		</param>
		<param name="mediamanager_margin_bottom" type="list" default="default" label="MARGIN BOTTOM" description="MARGIN DESC">
			<option value="default">NOT SET</option>
			<option value="0">0</option>
			<option value="1">1</option>
			<option value="2">2</option>
			<option value="3">3</option>
			<option value="4">4</option>
			<option value="5">5</option>
			<option value="6">6</option>
			<option value="7">7</option>
			<option value="8">8</option>
			<option value="9">9</option>
			<option value="10">10</option>
		</param>
		<param name="mediamanager_margin_left" type="list" default="default" label="MARGIN LEFT" description="MARGIN DESC">
			<option value="default">NOT SET</option>
			<option value="0">0</option>
			<option value="1">1</option>
			<option value="2">2</option>
			<option value="3">3</option>
			<option value="4">4</option>
			<option value="5">5</option>
			<option value="6">6</option>
			<option value="7">7</option>
			<option value="8">8</option>
			<option value="9">9</option>
			<option value="10">10</option>
		</param>
        <param name="mediamanager_border" type="list" default="0" label="BORDER ENABLE" description="BORDER ENABLE DESC">
				<option value="0">NO</option>
                <option value="1">YES</option>
		</param>
		<param name="mediamanager_border_width" type="list" default="default" label="BORDER WIDTH" description="BORDER WIDTH DESC">
				<option value="default">NOT SET</option>
				<option value="0">0</option>
				<option value="1">1</option>
				<option value="2">2</option>
				<option value="3">3</option>
				<option value="4">4</option>
				<option value="5">5</option>
				<option value="6">6</option>
				<option value="7">7</option>
				<option value="8">8</option>
				<option value="9">9</option>
				<option value="thin">BORDER THIN</option>
				<option value="medium">BORDER MEDIUM</option>
				<option value="thick">BORDER THICK</option>
		</param>
		<param name="mediamanager_border_style" type="list" default="default" label="BORDER STYLE" description="BORDER STYLE DESC">
				<option value="default">NOT SET</option>
				<option value="none">BORDER NONE</option>
				<option value="solid">BORDER SOLID</option>
				<option value="dashed">BORDER DASHED</option>
				<option value="dotted">BORDER DOTTED</option>
				<option value="double">BORDER DOUBLE</option>
				<option value="groove">BORDER GROOVE</option>
				<option value="inset">BORDER INSET</option>
				<option value="outset">BORDER OUTSET</option>
			    <option value="ridge">BORDER RIDGE</option>
		</param>
		<param name="mediamanager_border_color" type="text" default="#000000" label="BORDER COLOR" description="BORDER COLOR DESC"/>
        <param name="mediamanager_align" type="list" default="default" label="Default Align value" description="Default Align value">
               <option value="default">NOT SET</option>
                <option value="top">ALIGN TOP</option>
                <option value="middle">ALIGN MIDDLE</option>
                <option value="bottom">ALIGN BOTTOM</option>
                <option value="left">ALIGN LEFT</option>
                <option value="right">ALIGN RIGHT</option>
        </param>
	</params>
	<params group="access">
        <param name="mediamanager_upload" type="list" default="1" label="UPLOAD" description="UPLOAD DESC">
            <option value="1">YES</option>
            <option value="0">NO</option>
		</param>
		<param name="mediamanager_upload_conflict" type="list" default="" label="PARAM UPLOAD EXISTS" description="PARAM UPLOAD EXISTS DESC">
			<option value="">NOT SET</option>
			<option value="overwrite">PARAM UPLOAD EXISTS OVERWRITE</option>
			<option value="unique">PARAM UPLOAD EXISTS UNIQUE</option>
			<option value="overwrite|unique">PARAM UPLOAD EXISTS OVERWRITE PARAM UPLOAD EXISTS UNIQUE</option>
        </param>
		<param name="mediamanager_folder_new" type="list" default="1" label="FOLDER CREATE" description="FOLDER CREATE DESC">
            <option value="1">YES</option>
            <option value="0">NO</option>
		</param>
		<param name="mediamanager_folder_delete" type="list" default="1" label="FOLDER DELETE" description="FOLDER DELETE DESC">
            <option value="1">YES</option>
            <option value="0">NO</option>
		</param>
		<param name="mediamanager_folder_rename" type="list" default="1" label="FOLDER RENAME" description="FOLDER RENAME DESC">
            <option value="1">YES</option>
            <option value="0">NO</option>
		</param>
		<param name="mediamanager_file_delete" type="list" default="1" label="FILE DELETE" description="FILE DELETE DESC">
            <option value="1">YES</option>
            <option value="0">NO</option>
		</param>
		<param name="mediamanager_file_rename" type="list" default="1" label="FILE RENAME" description="FILE RENAME DESC">
            <option value="1">YES</option>
            <option value="0">NO</option>
		</param>
		<param name="mediamanager_file_move" type="list" default="1" label="FILE PASTE" description="FILE PASTE DESC">
            <option value="1">YES</option>
            <option value="0">NO</option>
		</param>
	</params>
	<languages>
		<language tag="en-GB">en-GB.com_jce_mediamanager.ini</language>
	</languages>
	<help>
		<topic key="mediamanager.about" title="Help About" />
		<topic key="mediamanager.interface" title="Help Interface" />
		<topic key="mediamanager.advanced" title="Help Advanced" />
		<topic key="mediamanager.media" title="Help Media" />
		<topic key="mediamanager.insert" title="Help Insert" />
	</help>
</install>